Lookup single agent configuration
- Base URL
-
https://{kibana_url}
-
POST
/api/apm/settings/agent-configuration/search
-
POST
/s/{space_id}/api/apm/settings/agent-configuration/search
Auth
This endpoint allows to search for single agent configuration and update 'applied_by_agent' field.
-
space_id
string
optional
-
An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.
-
The version of the API to use
-
Values:
2023-10-31
-
A required header to protect against CSRF attacks
-
etag
string
-
If etags match then applied_by_agent field will be set to true
-
mark_as_applied_by_agent
boolean
-
markAsAppliedByAgent=true means "force setting it to true regardless of etag".
This is needed for Jaeger agent that doesn't have etags
-
service
object
required
-
Service
-
-
environment
string
-
Environment
-
_source
object
-
Agent configuration
-
-
@timestamp
number
required
-
Timestamp
-
agent_name
string
-
Agent name
-
applied_by_agent
boolean
-
Applied by agent
-
etag
string
required
-
Etag
-
service
object
required
-
Service
-
-
environment
string
-
Environment
-
settings
map string to string
required
-
Agent configuration settings
-
message
string
-
Error message
-
statusCode
number
-
Error status code
-
message
string
-
Error message
-
statusCode
number
-
Error status code
-
message
string
-
Error message
-
statusCode
number
-
Error status code